PulseAudio 16.1

Typedefs | Functions
operation.h File Reference

Asynchronous operations. More...

Go to the source code of this file.

## Typedefs
typedef struct pa_operation | pa_operation
| An asynchronous operation object. More...
typedef void(* | pa_operation_notify_cb_t) (pa_operation *o, void *userdata)
| A callback for operation state changes. More...

## Functions
pa_operation * | pa_operation_ref (pa_operation *o)
| Increase the reference count by one. More...
void | pa_operation_unref (pa_operation *o)
| Decrease the reference count by one. More...
void | pa_operation_cancel (pa_operation *o)
| Cancel the operation. More...
pa_operation_state_t | pa_operation_get_state (const pa_operation *o)
| Return the current status of the operation. More...
void | pa_operation_set_state_callback (pa_operation *o, pa_operation_notify_cb_t cb, void *userdata)
| Set the callback function that is called when the operation state changes. More...

## Detailed Description

Asynchronous operations.

## Typedef Documentation

## ◆ pa_operation

typedef struct pa_operation pa_operation

An asynchronous operation object.

## ◆ pa_operation_notify_cb_t

typedef void(* pa_operation_notify_cb_t) (pa_operation *o, void *userdata)

A callback for operation state changes.

## Function Documentation

## ◆ pa_operation_cancel()

void pa_operation_cancel | ( | pa_operation * | o | ) |

Cancel the operation.

Beware! This will not necessarily cancel the execution of the operation on the server side. However it will make sure that the callback associated with this operation will not be called anymore, effectively disabling the operation from the client side's view.

## ◆ pa_operation_get_state()

pa_operation_state_t pa_operation_get_state | ( | const pa_operation * | o | ) |

Return the current status of the operation.

## ◆ pa_operation_ref()

pa_operation * pa_operation_ref | ( | pa_operation * | o | ) |

Increase the reference count by one.

## ◆ pa_operation_set_state_callback()

void pa_operation_set_state_callback | ( | pa_operation * | o,
|  | pa_operation_notify_cb_t | cb,
|  | void * | userdata
| ) |  |

Set the callback function that is called when the operation state changes.

Usually this is not necessary, since the functions that create pa_operation objects already take a callback that is called when the operation finishes. Registering a state change callback is mainly useful, if you want to get called back also if the operation gets cancelled.

Since
  4.0

## ◆ pa_operation_unref()

void pa_operation_unref | ( | pa_operation * | o | ) |

Decrease the reference count by one.